Subject: Re: ASCII and BINARY files. Why?
From: [email-masked] ("Marty Leisner")

31 Jan 1997 13:52:35 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Mailer: exmh version 1.6.9 8/22/96
Original-To: "Grant Leslie" <[email-masked]>
Original-Cc: "GNU-WIN32" <[email-masked]>
In-Reply-To: Your message of "Thu, 30 Jan 1997 21:05:47 PST."
             <[email-masked]> 
Original-Sender: [email-masked]

I didn't see my 2 cents added (I thought I posted it, I don't see it...)

In about 1984, I did enormous work on the Aztec C library to get unix
software to port painlessly.  I treaded all files as binary, and
the stdio routines converted \n\r to \n.  I also had a fork() which 
worked -- it all worked in small model.

dj mentioned something about continued lines in preprocessors didn't
work correctly if you treated everything as binary (hmmm....maybe I
forgot to mention you also had to munge stdio).

If notepad can't handle binary files, forget about notepad...I never
saw logic in having seperate ascii and binary...Unix got it right in
saying "a file is a bytestream".

DOS configuration files need \n\r in order to work...I often administrater
a windows machine via smbfs, and use unix editors to deal with the files.

I have to remember to add the ^M
in order to work with dos... (you can always do this in a simple filter).

-- 
marty
[email-masked]  
Member of the League for Programming Freedom

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".